List Event Fields
List Event Fields.
Retrieves a list of Fields for a specific Event Type. These Fields are dynamic and forward compatibile, enabling calculation operations on the Event schema.
Notes:
- In many of the Response schema for this call, such as when you retrieve the Fields for a
configuration.commitment.createdEvent Type,newrepresents the attributes the newly created object has. The Response to a call to retrieve the Fields for aconfiguration.commitment.updatedEvent Type will contain Field values for both theoldandnewobjects. The Response to a call to retrieve the Fields for aconfiguration.commitment.deletedEvent Type will only containoldFields, for values at point of deletion. Having access to reference bothnewandoldField values for an object can be very useful if you want to base a Notification rule on an Event and include a calculation in the rule that, for example, comparesnewvalues withold- for example, trigger a Notification only when a Commitment has been updated and thenewvalue for theamountis at least $1,000 greater than theoldvalue. - Some Event types will show
customFieldseven though the specific billing or configuration object the Event is for does not yet have the custom fields functionality implemented. For these Events, theircustomFieldsvalues will not be populated until such time as the custom fields functionality is implemented for them
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
Query Parameters
The name of the specific Event Type to use as a list filter, for example configuration.commitment.created.
Response
Returns the list of Fields for an Event Type
An object containing the list of Fields for the queried Event Type.
See the 200 Response sample where we have queried to get the Fields for the configuration.commitment.created Event Type.
Note: new represents the attributes the newly created object has.